=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
 Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, liboctomap-dev, ros-one-catkin, ros-one-geometric-shapes, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-pluginlib (>= 1.11.2), ros-one-tf2-ros
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-moveit-ros-occupancy-map-monitor
